Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bl_for_dms.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bl_for_dms.f90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bl_for_dms.f90	(revision 5143)
@@ -2,4 +2,7 @@
         , t, q, tsol, ustar, obklen)
   USE dimphy
+  USE lmdz_YOETHF
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
   IMPLICIT NONE
   !
@@ -19,6 +22,4 @@
   INCLUDE "dimensions.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "YOETHF.h"
-  INCLUDE "FCTTRE.h"
   !
   ! Arguments :
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5143)
@@ -799,4 +799,5 @@
     USE lmdz_yomcst
     USE lmdz_alpale
+    USE lmdz_YOETHF
 
     IMPLICIT NONE
@@ -816,5 +817,4 @@
     INCLUDE "chem.h"
     INCLUDE "chem_spla.h"
-    INCLUDE "YOETHF.h"
     INCLUDE "paramet.h"
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90	(revision 5143)
@@ -27,4 +27,6 @@
     USE lmdz_abort_physic, ONLY: abort_physic
     USE lmdz_clesphys
+    USE lmdz_YOEGWD, ONLY: GFRCRIT, GKWAKE, GRCRIT, GVCRIT, GKDRAG, GKLIFT, GHMAX, GRAHILO, GSIGCR, NKTOPG, NSTRA, GSSEC, GTSEC, GVSEC, &
+          GWD_RANDO_RUWMAX, gwd_rando_sat, GWD_FRONT_RUWMAX, gwd_front_sat
 
     include "YOMCST.h"
@@ -33,5 +35,4 @@
 !   include "dimphy.h"
 !END DIFFERENCE
-    include "YOEGWD.h"
 
     ! 0. DECLARATIONS:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/borne_var_surf.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/borne_var_surf.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/borne_var_surf.F90	(revision 5143)
@@ -1,110 +1,110 @@
-SUBROUTINE borne_var_surf(klon,klev,nbsrf,                   &
-         iflag_bug_t2m_stab_ipslcm61,                        &
-         t1,q1,u1,v1,                                        &
-         ftsol, qsurf, pctsrf, paprs,                        &
-         t2m, q2m, u10m, v10m,                               &
-         zt2m_cor, zq2m_cor, zu10m_cor, zv10m_cor,           &
-         zrh2m_cor, zqsat2m_cor)
+SUBROUTINE borne_var_surf(klon, klev, nbsrf, &
+        iflag_bug_t2m_stab_ipslcm61, &
+        t1, q1, u1, v1, &
+        ftsol, qsurf, pctsrf, paprs, &
+        t2m, q2m, u10m, v10m, &
+        zt2m_cor, zq2m_cor, zu10m_cor, zv10m_cor, &
+        zrh2m_cor, zqsat2m_cor)
 
-IMPLICIT NONE
+  USE lmdz_YOETHF
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
-!==================================================================
-! Declarations
-!==================================================================
+  IMPLICIT NONE
 
-! arguments
-INTEGER klon,klev,nbsrf,iflag_bug_t2m_stab_ipslcm61
-REAL,DIMENSION(klon),INTENT(IN) :: t1, q1, u1, v1
-REAL,DIMENSION(klon,nbsrf),INTENT(IN) :: t2m, q2m, u10m, v10m
-REAL,DIMENSION(klon,nbsrf),INTENT(IN) :: ftsol, pctsrf
-REAL,DIMENSION(klon,klev+1),INTENT(IN) :: paprs 
-REAL,DIMENSION(klon),INTENT(IN) :: qsurf
-REAL,DIMENSION (klon),INTENT(OUT) :: zt2m_cor, zq2m_cor, zu10m_cor, zv10m_cor
-REAL,DIMENSION (klon),INTENT(OUT)  :: zrh2m_cor, zqsat2m_cor
+  !==================================================================
+  ! Declarations
+  !==================================================================
 
+  ! arguments
+  INTEGER klon, klev, nbsrf, iflag_bug_t2m_stab_ipslcm61
+  REAL, DIMENSION(klon), INTENT(IN) :: t1, q1, u1, v1
+  REAL, DIMENSION(klon, nbsrf), INTENT(IN) :: t2m, q2m, u10m, v10m
+  REAL, DIMENSION(klon, nbsrf), INTENT(IN) :: ftsol, pctsrf
+  REAL, DIMENSION(klon, klev + 1), INTENT(IN) :: paprs
+  REAL, DIMENSION(klon), INTENT(IN) :: qsurf
+  REAL, DIMENSION (klon), INTENT(OUT) :: zt2m_cor, zq2m_cor, zu10m_cor, zv10m_cor
+  REAL, DIMENSION (klon), INTENT(OUT) :: zrh2m_cor, zqsat2m_cor
 
-! local
-INTEGER i,nsrf
-REAL,DIMENSION (klon,nbsrf) :: t2m_cor, q2m_cor, u10m_cor, v10m_cor
-REAL                               :: zx_qs1, zcor1, zdelta1
-include "YOMCST.h"
-include "YOETHF.h"
-include "FCTTRE.h"
-!==================================================================
-! Correction of sub surface variables
-!==================================================================
+  ! local
+  INTEGER i, nsrf
+  REAL, DIMENSION (klon, nbsrf) :: t2m_cor, q2m_cor, u10m_cor, v10m_cor
+  REAL :: zx_qs1, zcor1, zdelta1
+  include "YOMCST.h"
+  !==================================================================
+  ! Correction of sub surface variables
+  !==================================================================
 
-zrh2m_cor=0.
-zqsat2m_cor=0.
+  zrh2m_cor = 0.
+  zqsat2m_cor = 0.
 
-DO nsrf=1,nbsrf
-   DO i=1,klon
-    t2m_cor(i,nsrf)=t2m(i,nsrf)
-    q2m_cor(i,nsrf)=q2m(i,nsrf)
-    u10m_cor(i,nsrf)=u10m(i,nsrf)
-    v10m_cor(i,nsrf)=v10m(i,nsrf)
-     IF(iflag_bug_t2m_stab_ipslcm61==-2.AND.q2m(i,nsrf)<0.) THEN
-      t2m_cor(i,nsrf)=MIN(t2m(i,nsrf),MAX(t1(i),ftsol(i,nsrf)))
-      t2m_cor(i,nsrf)=MAX(t2m_cor(i,nsrf),MIN(t1(i),ftsol(i,nsrf)))
-      q2m_cor(i,nsrf)=MIN(q2m(i,nsrf),MAX(q1(i),qsurf(i)))
-      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),MIN(q1(i),qsurf(i)))
-      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),0.)
-      u10m_cor(i,nsrf)=SIGN(MIN(ABS(u1(i)),ABS(u10m(i,nsrf))),u1(i))
-      v10m_cor(i,nsrf)=SIGN(MIN(ABS(v1(i)),ABS(v10m(i,nsrf))),v1(i))
-     ELSEIF(iflag_bug_t2m_stab_ipslcm61==-1.AND.(ftsol(i,nsrf)<=t1(i).OR.q2m(i,nsrf)<0.)) THEN
-      t2m_cor(i,nsrf)=MIN(t2m(i,nsrf),MAX(t1(i),ftsol(i,nsrf)))
-      t2m_cor(i,nsrf)=MAX(t2m_cor(i,nsrf),MIN(t1(i),ftsol(i,nsrf)))
-      q2m_cor(i,nsrf)=MIN(q2m(i,nsrf),MAX(q1(i),qsurf(i)))
-      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),MIN(q1(i),qsurf(i)))
-      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),0.)
-      u10m_cor(i,nsrf)=SIGN(MIN(ABS(u1(i)),ABS(u10m(i,nsrf))),u1(i))
-      v10m_cor(i,nsrf)=SIGN(MIN(ABS(v1(i)),ABS(v10m(i,nsrf))),v1(i))
-     ELSEIF(iflag_bug_t2m_stab_ipslcm61==1.AND.ftsol(i,nsrf)<=t1(i)) THEN
-      t2m_cor(i,nsrf)=MIN(t2m(i,nsrf),MAX(t1(i),ftsol(i,nsrf)))
-      t2m_cor(i,nsrf)=MAX(t2m_cor(i,nsrf),MIN(t1(i),ftsol(i,nsrf)))
-      q2m_cor(i,nsrf)=MIN(q2m(i,nsrf),MAX(q1(i),qsurf(i)))
-      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),MIN(q1(i),qsurf(i)))
-      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),0.)
-      u10m_cor(i,nsrf)=SIGN(MIN(ABS(u1(i)),ABS(u10m(i,nsrf))),u1(i))
-      v10m_cor(i,nsrf)=SIGN(MIN(ABS(v1(i)),ABS(v10m(i,nsrf))),v1(i))
-     ELSEIF(iflag_bug_t2m_stab_ipslcm61==0) THEN
-      t2m_cor(i,nsrf)=MIN(t2m(i,nsrf),MAX(t1(i),ftsol(i,nsrf)))
-      t2m_cor(i,nsrf)=MAX(t2m_cor(i,nsrf),MIN(t1(i),ftsol(i,nsrf)))
-      q2m_cor(i,nsrf)=MIN(q2m(i,nsrf),MAX(q1(i),qsurf(i)))
-      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),MIN(q1(i),qsurf(i)))
-      q2m_cor(i,nsrf)=MAX(q2m_cor(i,nsrf),0.)
-      u10m_cor(i,nsrf)=SIGN(MIN(ABS(u1(i)),ABS(u10m(i,nsrf))),u1(i))
-      v10m_cor(i,nsrf)=SIGN(MIN(ABS(v1(i)),ABS(v10m(i,nsrf))),v1(i))
-     ENDIF
-!!!
-     zdelta1 = MAX(0.,SIGN(1., rtt-t2m_cor(i,nsrf) ))
-     zx_qs1  = r2es * FOEEW(t2m_cor(i,nsrf),zdelta1)/paprs(i,1)
-     zx_qs1  = MIN(0.5,zx_qs1)
-     zcor1   = 1./(1.-RETV*zx_qs1)
-     zx_qs1  = zx_qs1*zcor1
-     zrh2m_cor(i) = zrh2m_cor(i) + q2m_cor(i,nsrf)/zx_qs1 * pctsrf(i,nsrf)
-     zqsat2m_cor(i) = zqsat2m_cor(i) + zx_qs1  * pctsrf(i,nsrf)
-!!!
-   ENDDO
-ENDDO
+  DO nsrf = 1, nbsrf
+    DO i = 1, klon
+      t2m_cor(i, nsrf) = t2m(i, nsrf)
+      q2m_cor(i, nsrf) = q2m(i, nsrf)
+      u10m_cor(i, nsrf) = u10m(i, nsrf)
+      v10m_cor(i, nsrf) = v10m(i, nsrf)
+      IF(iflag_bug_t2m_stab_ipslcm61==-2.AND.q2m(i, nsrf)<0.) THEN
+        t2m_cor(i, nsrf) = MIN(t2m(i, nsrf), MAX(t1(i), ftsol(i, nsrf)))
+        t2m_cor(i, nsrf) = MAX(t2m_cor(i, nsrf), MIN(t1(i), ftsol(i, nsrf)))
+        q2m_cor(i, nsrf) = MIN(q2m(i, nsrf), MAX(q1(i), qsurf(i)))
+        q2m_cor(i, nsrf) = MAX(q2m_cor(i, nsrf), MIN(q1(i), qsurf(i)))
+        q2m_cor(i, nsrf) = MAX(q2m_cor(i, nsrf), 0.)
+        u10m_cor(i, nsrf) = SIGN(MIN(ABS(u1(i)), ABS(u10m(i, nsrf))), u1(i))
+        v10m_cor(i, nsrf) = SIGN(MIN(ABS(v1(i)), ABS(v10m(i, nsrf))), v1(i))
+      ELSEIF(iflag_bug_t2m_stab_ipslcm61==-1.AND.(ftsol(i, nsrf)<=t1(i).OR.q2m(i, nsrf)<0.)) THEN
+        t2m_cor(i, nsrf) = MIN(t2m(i, nsrf), MAX(t1(i), ftsol(i, nsrf)))
+        t2m_cor(i, nsrf) = MAX(t2m_cor(i, nsrf), MIN(t1(i), ftsol(i, nsrf)))
+        q2m_cor(i, nsrf) = MIN(q2m(i, nsrf), MAX(q1(i), qsurf(i)))
+        q2m_cor(i, nsrf) = MAX(q2m_cor(i, nsrf), MIN(q1(i), qsurf(i)))
+        q2m_cor(i, nsrf) = MAX(q2m_cor(i, nsrf), 0.)
+        u10m_cor(i, nsrf) = SIGN(MIN(ABS(u1(i)), ABS(u10m(i, nsrf))), u1(i))
+        v10m_cor(i, nsrf) = SIGN(MIN(ABS(v1(i)), ABS(v10m(i, nsrf))), v1(i))
+      ELSEIF(iflag_bug_t2m_stab_ipslcm61==1.AND.ftsol(i, nsrf)<=t1(i)) THEN
+        t2m_cor(i, nsrf) = MIN(t2m(i, nsrf), MAX(t1(i), ftsol(i, nsrf)))
+        t2m_cor(i, nsrf) = MAX(t2m_cor(i, nsrf), MIN(t1(i), ftsol(i, nsrf)))
+        q2m_cor(i, nsrf) = MIN(q2m(i, nsrf), MAX(q1(i), qsurf(i)))
+        q2m_cor(i, nsrf) = MAX(q2m_cor(i, nsrf), MIN(q1(i), qsurf(i)))
+        q2m_cor(i, nsrf) = MAX(q2m_cor(i, nsrf), 0.)
+        u10m_cor(i, nsrf) = SIGN(MIN(ABS(u1(i)), ABS(u10m(i, nsrf))), u1(i))
+        v10m_cor(i, nsrf) = SIGN(MIN(ABS(v1(i)), ABS(v10m(i, nsrf))), v1(i))
+      ELSEIF(iflag_bug_t2m_stab_ipslcm61==0) THEN
+        t2m_cor(i, nsrf) = MIN(t2m(i, nsrf), MAX(t1(i), ftsol(i, nsrf)))
+        t2m_cor(i, nsrf) = MAX(t2m_cor(i, nsrf), MIN(t1(i), ftsol(i, nsrf)))
+        q2m_cor(i, nsrf) = MIN(q2m(i, nsrf), MAX(q1(i), qsurf(i)))
+        q2m_cor(i, nsrf) = MAX(q2m_cor(i, nsrf), MIN(q1(i), qsurf(i)))
+        q2m_cor(i, nsrf) = MAX(q2m_cor(i, nsrf), 0.)
+        u10m_cor(i, nsrf) = SIGN(MIN(ABS(u1(i)), ABS(u10m(i, nsrf))), u1(i))
+        v10m_cor(i, nsrf) = SIGN(MIN(ABS(v1(i)), ABS(v10m(i, nsrf))), v1(i))
+      ENDIF
+      !!!
+      zdelta1 = MAX(0., SIGN(1., rtt - t2m_cor(i, nsrf)))
+      zx_qs1 = r2es * FOEEW(t2m_cor(i, nsrf), zdelta1) / paprs(i, 1)
+      zx_qs1 = MIN(0.5, zx_qs1)
+      zcor1 = 1. / (1. - RETV * zx_qs1)
+      zx_qs1 = zx_qs1 * zcor1
+      zrh2m_cor(i) = zrh2m_cor(i) + q2m_cor(i, nsrf) / zx_qs1 * pctsrf(i, nsrf)
+      zqsat2m_cor(i) = zqsat2m_cor(i) + zx_qs1 * pctsrf(i, nsrf)
+      !!!
+    ENDDO
+  ENDDO
 
-!==================================================================
-! Agregation of sub surfaces
-!==================================================================
+  !==================================================================
+  ! Agregation of sub surfaces
+  !==================================================================
 
-zt2m_cor=0.
-zq2m_cor=0.
-zu10m_cor=0.
-zv10m_cor=0.
-DO nsrf = 1, nbsrf
-   DO i = 1, klon
-      zt2m_cor(i)  = zt2m_cor(i)  + t2m_cor(i,nsrf)  * pctsrf(i,nsrf)
-      zq2m_cor(i)  = zq2m_cor(i)  + q2m_cor(i,nsrf)  * pctsrf(i,nsrf)
-      zu10m_cor(i) = zu10m_cor(i) + u10m_cor(i,nsrf) * pctsrf(i,nsrf)
-      zv10m_cor(i) = zv10m_cor(i) + v10m_cor(i,nsrf) * pctsrf(i,nsrf)
-   ENDDO
-ENDDO
+  zt2m_cor = 0.
+  zq2m_cor = 0.
+  zu10m_cor = 0.
+  zv10m_cor = 0.
+  DO nsrf = 1, nbsrf
+    DO i = 1, klon
+      zt2m_cor(i) = zt2m_cor(i) + t2m_cor(i, nsrf) * pctsrf(i, nsrf)
+      zq2m_cor(i) = zq2m_cor(i) + q2m_cor(i, nsrf) * pctsrf(i, nsrf)
+      zu10m_cor(i) = zu10m_cor(i) + u10m_cor(i, nsrf) * pctsrf(i, nsrf)
+      zv10m_cor(i) = zv10m_cor(i) + v10m_cor(i, nsrf) * pctsrf(i, nsrf)
+    ENDDO
+  ENDDO
 
-RETURN
+  RETURN
 END
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_fluxs_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_fluxs_mod.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calcul_fluxs_mod.F90	(revision 5143)
@@ -20,4 +20,6 @@
     USE sens_heat_rain_m, ONLY: sens_heat_rain
     USE lmdz_clesphys
+    USE lmdz_YOETHF
+    USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
 ! Cette routine calcule les fluxs en h et q a l'interface et eventuellement
@@ -59,6 +61,4 @@
 !   lat_prec_sol                                  precipitations solides
 
-    INCLUDE "YOETHF.h"
-    INCLUDE "FCTTRE.h"
     INCLUDE "YOMCST.h"
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cdrag_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cdrag_mod.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cdrag_mod.F90	(revision 5143)
@@ -30,4 +30,5 @@
   USE lmdz_atke_turbulence_ini, ONLY: smmin, ric, cinf, cepsilon, pr_slope, pr_asym, pr_neut
   USE lmdz_clesphys
+  USE lmdz_YOETHF
 
   IMPLICIT NONE
@@ -118,5 +119,4 @@
 
   INCLUDE "YOMCST.h"
-  INCLUDE "YOETHF.h"
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/clcdrag.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/clcdrag.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/clcdrag.F90	(revision 5143)
@@ -11,4 +11,5 @@
   USE lmdz_abort_physic, ONLY: abort_physic
   USE lmdz_clesphys
+  USE lmdz_YOETHF
 
   IMPLICIT NONE
@@ -44,5 +45,4 @@
 
   INCLUDE "YOMCST.h"
-  INCLUDE "YOETHF.h"
 
 ! Quelques constantes et options:
